/*
 * Quimeleon - a themeable quiz engine
 * Copyright © 2006  Aike Reyer <aike@users.sourceforge.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#include "about.h"

#include "../config.h"
#include "gettext.h"




namespace quimeleon {




/*
std::vector<Glib::ustring>
init_artists()
{
	return std::vector<Glib::ustring>(1,
		  _8("Default style and the Quimeleon icon:")
		+ "\n\t"
		+ "Aike Reyer <aike@users.sourceforge.net>");
}



std::vector<Glib::ustring>
init_authors()
{
	return std::vector<Glib::ustring>(1,
		"Aike Reyer <aike@users.sourceforge.net>");
}



std::vector<Glib::ustring>
init_documenters()
{
	return std::vector<Glib::ustring>(1,
		"Aike Reyer <aike@users.sourceforge.net>");
}
*/



About::About()
{
/*	std::vector<Glib::ustring> artists = init_artists();
	std::vector<Glib::ustring> authors = init_authors();
	std::vector<Glib::ustring> documenters = init_documenters();

	set_artists(artists);
	set_authors(authors);
	set_documenters(documenters);
*/
	set_comments(_8("A themeable quiz engine"));

	set_copyright("© Aike Reyer <aike@users.sourceforge.net>");

	set_license(
	"This program is free software; you can redistribute it and/or modify "
	"it under the terms of the GNU General Public License as published by "
	"the Free Software Foundation; either version 3 of the License, or "
	"(at your option) any later version.\n"
	"\n"
	"This program is distributed in the hope that it will be useful, "
	"but WITHOUT ANY WARRANTY; without even the implied warranty of "
	"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the "
	"GNU General Public License for more details.\n"
	"\n"
	"You should have received a copy of the GNU General Public License "
	"along with this program; if not, write to the Free Software "
	"Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA"
	);
	set_wrap_license(true);

	try {
		Glib::RefPtr<Gdk::Pixbuf> icon = Gdk::Pixbuf::create_from_file(
			Glib::build_filename(ICONDIR, "quimeleon.svg"), 100, 100);
		set_logo(icon);
	} catch (...) {
	}

	set_name(PACKAGE_NAME);


/*	Glib::ustring translator_credits = _8("TRANSLATOR_CREDITS");
	if (translator_credits != "TRANSLATOR_CREDITS") {
		set_translator_credits(translator_credits);
	}*/

	set_version(VERSION);
	set_website("http://quimeleon.sourceforge.net");
}





} // end namespace quimeleon
