/*
 * Quimeleon - a themeable quiz engine
 * Copyright © 2006  Aike Reyer <aike@users.sourceforge.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef QUIMELEON_WELCOME_H
#define QUIMELEON_WELCOME_H

#include <gtkmm/checkbutton.h>
#include <gtkmm/dialog.h>




namespace quimeleon {





class Welcome : public Gtk::Dialog
{
public:
	Welcome();

	bool do_show_hint() const
	{
		return _do_show_hint_check_button.get_active();
	}


private:
	Gtk::CheckButton _do_show_hint_check_button;
};





} // end namespace quimeleon




#endif
